package com.cpm.lorealbaautomation.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.cpm.lorealbaautomation.constant.CommonString;
import com.cpm.lorealbaautomation.gettersetter.BaTenureDetail;

import java.util.List;

public class MasterCompetitonBrandWiseNuance {
    @SerializedName("CompetitionBrandId")
    @Expose
    private Integer competitionBrandId;
    @SerializedName("CompetitionNuanceId")
    @Expose
    private Integer competitionNuanceId;
    @SerializedName("CompetitionBrand")
    @Expose
    private String competitionBrand;
    @SerializedName("CompetitionNuance")
    @Expose
    private String competitionNuance;

    public Integer getCompetitionBrandId() {
        return competitionBrandId;
    }

    public void setCompetitionBrandId(Integer competitionBrandId) {
        this.competitionBrandId = competitionBrandId;
    }

    public Integer getCompetitionNuanceId() {
        return competitionNuanceId;
    }

    public void setCompetitionNuanceId(Integer competitionNuanceId) {
        this.competitionNuanceId = competitionNuanceId;
    }

    public String getCompetitionBrand() {
        return competitionBrand;
    }

    public void setCompetitionBrand(String competitionBrand) {
        this.competitionBrand = competitionBrand;
    }

    public String getCompetitionNuance() {
        return competitionNuance;
    }

    public void setCompetitionNuance(String competitionNuance) {
        this.competitionNuance = competitionNuance;
    }

    String newLaunchMrp = "";

    String avgtarget = "";
    String avgOfftake = "";
    String tvapercent = "";


    public String getAvgtarget() {
        return avgtarget;
    }

    public void setAvgtarget(String avgtarget) {
        this.avgtarget = avgtarget;
    }

    public String getAvgOfftake() {
        return avgOfftake;
    }

    public void setAvgOfftake(String avgOfftake) {
        this.avgOfftake = avgOfftake;
    }

    public String getTvapercent() {
        return tvapercent;
    }

    public void setTvapercent(String tvapercent) {
        this.tvapercent = tvapercent;
    }



    public String getNewLaunchMrp() {
        return newLaunchMrp;
    }

    public void setNewLaunchMrp(String newLaunchMrp) {
        this.newLaunchMrp = newLaunchMrp;
    }


    String present_str = "",dateOfMonth = "",promoType="",compOfferset="",compOfferGet="",fromDate="",toDate="",compPromDetail="",compOfferImg="";
    int promoTypeId=0;
    int compOffersetId=0;

    String buyType = "";
    int buyTypeId = 0;

    String buyTypeInput = "";

    public String getBuyType() {
        return buyType;
    }

    public void setBuyType(String buyType) {
        this.buyType = buyType;
    }

    public int getBuyTypeId() {
        return buyTypeId;
    }

    public void setBuyTypeId(int buyTypeId) {
        this.buyTypeId = buyTypeId;
    }

    public String getBuyTypeInput() {
        return buyTypeInput;
    }

    public void setBuyTypeInput(String buyTypeInput) {
        this.buyTypeInput = buyTypeInput;
    }

    public int getBuyTypeInputId() {
        return buyTypeInputId;
    }

    public void setBuyTypeInputId(int buyTypeInputId) {
        this.buyTypeInputId = buyTypeInputId;
    }

    public String getGetTypeInput() {
        return getTypeInput;
    }

    public void setGetTypeInput(String getTypeInput) {
        this.getTypeInput = getTypeInput;
    }

    public int getGetTypeInputId() {
        return getTypeInputId;
    }

    public void setGetTypeInputId(int getTypeInputId) {
        this.getTypeInputId = getTypeInputId;
    }

    String Counter = "";
    String noOfBa = "";

    public String getCounter() {
        return Counter;
    }

    public void setCounter(String counter) {
        Counter = counter;
    }

    public String getNoOfBa() {
        return noOfBa;
    }

    public void setNoOfBa(String noOfBa) {
        this.noOfBa = noOfBa;
    }

    public String getSaleRange() {
        return saleRange;
    }

    public void setSaleRange(String saleRange) {
        this.saleRange = saleRange;
    }

    public int getSaleRangeId() {
        return saleRangeId;
    }

    public void setSaleRangeId(int saleRangeId) {
        this.saleRangeId = saleRangeId;
    }

    String saleRange = "";
    int saleRangeId = 0;

    int buyTypeInputId = 0;

    String getTypeInput = "";
    int getTypeInputId = 0;


    public String getPresent_str() {
        return present_str;
    }

    public void setPresent_str(String present_str) {
        this.present_str = present_str;
    }

    public String getDateOfMonth() {
        return dateOfMonth;
    }

    public void setDateOfMonth(String dateOfMonth) {
        this.dateOfMonth = dateOfMonth;
    }

    public String getPromoType() {
        return promoType;
    }

    public void setPromoType(String promoType) {
        this.promoType = promoType;
    }

    public String getCompOfferset() {
        return compOfferset;
    }

    public void setCompOfferset(String compOfferset) {
        this.compOfferset = compOfferset;
    }

    public String getCompOfferGet() {
        return compOfferGet;
    }

    public void setCompOfferGet(String compOfferGet) {
        this.compOfferGet = compOfferGet;
    }

    public String getFromDate() {
        return fromDate;
    }

    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    public String getToDate() {
        return toDate;
    }

    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    public String getCompPromDetail() {
        return compPromDetail;
    }

    public void setCompPromDetail(String compPromDetail) {
        this.compPromDetail = compPromDetail;
    }

    public String getCompOfferImg() {
        return compOfferImg;
    }

    public void setCompOfferImg(String compOfferImg) {
        this.compOfferImg = compOfferImg;
    }

    public int getPromoTypeId() {
        return promoTypeId;
    }

    public void setPromoTypeId(int promoTypeId) {
        this.promoTypeId = promoTypeId;
    }

    public int getCompOffersetId() {
        return compOffersetId;
    }

    public void setCompOffersetId(int compOffersetId) {
        this.compOffersetId = compOffersetId;
    }

    public int getCompOfferGetId() {
        return compOfferGetId;
    }

    public void setCompOfferGetId(int compOfferGetId) {
        this.compOfferGetId = compOfferGetId;
    }

    int compOfferGetId=0;

    public String getKeyId() {
        return keyId;
    }

    public void setKeyId(String keyId) {
        this.keyId = keyId;
    }

    String keyId;
    String uUId;

    public String getuUId() {
        return uUId;
    }

    public void setuUId(String uUId) {
        this.uUId = uUId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    String status= CommonString.KEY_N;

    public String get_userId() {
        return _userId;
    }

    public void set_userId(String _userId) {
        this._userId = _userId;
    }

    String _userId;

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    String productType;

    public String getBuyQuantity() {
        return buyQuantity;
    }

    public void setBuyQuantity(String buyQuantity) {
        this.buyQuantity = buyQuantity;
    }

    public String getGetQuantity() {
        return getQuantity;
    }

    public void setGetQuantity(String getQuantity) {
        this.getQuantity = getQuantity;
    }

    String buyQuantity="";
    String getQuantity="";

    public int getProductTypeId() {
        return productTypeId;
    }

    public void setProductTypeId(int productTypeId) {
        this.productTypeId = productTypeId;
    }

    int productTypeId;


    public List<BaTenureDetail> getBaTenureDetailList() {
        return baTenureDetailList;
    }

    public void setBaTenureDetailList(List<BaTenureDetail> baTenureDetailList) {
        this.baTenureDetailList = baTenureDetailList;
    }

    List<BaTenureDetail> baTenureDetailList ;

    String gwpAvailable = "";

    public String getGwpAvailable() {
        return gwpAvailable;
    }

    public void setGwpAvailable(String gwpAvailable) {
        this.gwpAvailable = gwpAvailable;
    }
    String gwpImage="";
    public String getGwpImage() {
        return gwpImage;
    }

    public void setGwpImage(String gwpImage) {
        this.gwpImage = gwpImage;
    }


}
